INTERFACE
SUBROUTINE FPTRDTOA(KC,KFLDS,PFIELD_DEP,PFIELD_ARR)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMFPG , ONLY : NFPRGPG ,NFPRGPL ,NFPRGPLX ,NFPRGPL_DEP,NFPRGPLX_DEP
INTEGER(KIND=JPIM),INTENT(IN) :: KC
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDS
REAL(KIND=JPRB),INTENT(IN) :: PFIELD_DEP(NFPRGPL_DEP,KFLDS)
REAL(KIND=JPRB),INTENT(OUT) :: PFIELD_ARR(NFPRGPL,KFLDS)
END SUBROUTINE FPTRDTOA
END INTERFACE
